import bolum11.List;
import bolum11.EmptyListException;

public class ListTest
{
  public static void main(String args[])
  {
    List objList=new List();
    Boolean b=new Boolean(true);
    Character c=new Character('$');
    Integer i=new Integer(34567);
    String s=new String("hello");
    objList.insertAtFront(b);
    objList.print();
    objList.insertAtFront(c);
    objList.print();
    objList.insertAtFront(i);
    objList.print();
    objList.insertAtFront(s);
    objList.print();
    Object removedObj;
    try{
       removedObj=objList.removeFromFront();
       System.out.print(removedObj.toString()+" cikarildi");
       objList.print();
       removedObj=objList.removeFromFront();
       System.out.print(removedObj.toString()+" cikarildi");
       objList.print();
       removedObj=objList.removeFromBack();
       System.out.print(removedObj.toString()+" cikarildi");
       objList.print();
       removedObj=objList.removeFromBack();
       System.out.print(removedObj.toString()+" cikarildi");
       objList.print();
       }
       catch(EmptyListException e) {System.out.println("\n"+e.toString());}
  }
}
